### Signal

# Ide Debugger::library-unloaded

#### Declaration

    void
    library_unloaded (
      IdeDebugger* self,
      IdeDebuggerLibrary* library,
      gpointer user_data
    )

#### Description

This signal is emitted when a library has been unloaded by the debugger. Generally, this means that the library was a module and loaded in such a way that allowed unloading.

Default handler: | The default handler is called after the handlers added via `g_signal_connect()`.
Available since: | 3.32

#### Parameters

`library` | `IdeDebuggerLibrary`
| An `IdeDebuggerLibrary`.
| The data is owned by the caller of the function.